summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--lib/cmd/install.sh53
-rw-r--r--lib/cmd/local.mk3
-rw-r--r--locale/en_US.sh3
3 files changed, 58 insertions, 1 deletions
diff --git a/lib/cmd/install.sh b/lib/cmd/install.sh
new file mode 100644
index 0000000..ffbc130
--- /dev/null
+++ b/lib/cmd/install.sh
@@ -0,0 +1,53 @@
+# ProteanOS Development Kit
+# lib/cmd/install.sh
+# "install" command
+#
+# Copyright (C) 2013 Patrick "P. J." McDermott
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+use getopt
+
+cmd_install_optstring='a:P:'
+
+cmd_install_main()
+{
+ local suite=
+ local chroot=
+ local arch=
+ local plat=
+ local profile=
+
+ get_options "${@}"
+ shift $(($OPTIND - 1))
+
+ if [ ${#} -lt 2 ]; then
+ run_cmd 'help' 'install' >&2
+ exit 1
+ fi
+
+ suite="${1}"
+ chroot="${2}"
+
+ if [ "x${cmd_install_opt_a+set}" = 'xset' ]; then
+ arch="${cmd_install_opt_a}"
+ fi
+ if [ "x${cmd_install_opt_P+set}" = 'xset' ]; then
+ plat="${cmd_install_opt_P}"
+ fi
+
+ printf 'Suite: %s\n' "${suite}"
+ printf 'Architecture: %s\n' "${arch}"
+ printf 'Platform: %s\n' "${plat}"
+}
diff --git a/lib/cmd/local.mk b/lib/cmd/local.mk
index a7cd46b..d7d5b7e 100644
--- a/lib/cmd/local.mk
+++ b/lib/cmd/local.mk
@@ -1,3 +1,4 @@
pkgdatacmd_sources = \
lib/cmd/help.sh \
- lib/cmd/version.sh
+ lib/cmd/version.sh \
+ lib/cmd/install.sh
diff --git a/locale/en_US.sh b/locale/en_US.sh
index 3f2e8d8..103f6e2 100644
--- a/locale/en_US.sh
+++ b/locale/en_US.sh
@@ -40,3 +40,6 @@ License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.'
+# lib/cmd/install.sh
+msg_prokit_cmd_install_summary='install a ProteanOS system into a directory'
+msg_prokit_cmd_install_usage='[-a <arch>] [-P <plat>] <suite> <chroot>'